<?php

/**
 * BaseComment
 * 
 * This class has been auto-generated by the Doctrine ORM Framework
 * 
 * @property integer $id
 * @property string $username
 * @property timestamp $time
 * @property string $ip
 * @property integer $parent_id
 * @property clob $content
 * @property Comment $Parent
 * @property Doctrine_Collection $Comment
 * 
 * @package    ##PACKAGE##
 * @subpackage ##SUBPACKAGE##
 * @author     ##NAME## <##EMAIL##>
 * @version    SVN: $Id$
 */
abstract class BaseComment extends Doctrine_Record
{
    public function setTableDefinition()
    {
        $this->setTableName('comment');
        $this->hasColumn('id', 'integer', null, array('type' => 'integer', 'primary' => true, 'autoincrement' => true));
        $this->hasColumn('username', 'string', null, array('type' => 'string'));
        $this->hasColumn('time', 'timestamp', null, array('type' => 'timestamp'));
        $this->hasColumn('ip', 'string', null, array('type' => 'string'));
        $this->hasColumn('parent_id', 'integer', null, array('type' => 'integer'));
        $this->hasColumn('content', 'clob', null, array('type' => 'clob'));
    }

    public function setUp()
    {
        $this->hasOne('Comment as Parent', array('local' => 'parent_id',
                                                 'foreign' => 'id'));

        $this->hasMany('Comment', array('local' => 'id',
                                        'foreign' => 'parent_id'));
    }
}